aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/e_repository_TEST_6_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/repositories/e/e_repository_TEST_6_setup.sh')
-rwxr-xr-xpaludis/repositories/e/e_repository_TEST_6_setup.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/paludis/repositories/e/e_repository_TEST_6_setup.sh b/paludis/repositories/e/e_repository_TEST_6_setup.sh
index 94d05cc2c..33e3d83b5 100755
--- a/paludis/repositories/e/e_repository_TEST_6_setup.sh
+++ b/paludis/repositories/e/e_repository_TEST_6_setup.sh
@@ -1943,5 +1943,22 @@ cat << 'END' > cat/default_src_prepare-empty-PATCHES-array/files/first.patch ||
+second
END
+mkdir -p "cat/bash-compat" || exit 1
+cat << 'END' > cat/bash-compat/bash-compat-6.ebuild || exit 1
+EAPI="6"
+DESCRIPTION="The Description"
+HOMEPAGE="http://example.com/"
+SRC_URI=""
+SLOT="0"
+IUSE=""
+LICENSE="GPL-2"
+KEYWORDS="test"
+
+pkg_setup() {
+ local compat=$(shopt | sed -n -e '/^compat/s/[ \t]\+on$//p')
+ [[ ${compat} == compat42 ]] || die compat=${compat}
+}
+END
+
cd ..
cd ..